// -*- c++ -*-
#ifndef __KDE_KDOUBLEVALIDATOR_H__
#define __KDE_KDOUBLEVALIDATOR_H__

#include <qvalidator.h>

/**
   KDoubleValidator extends @ref QDoubleValidator to be
   locale-aware. That means that - subject to not being disnabled -
   @ref KLocale::decimalPoint(), @ref KLocale::thousandsSeparator()
   and @ref KLocale::positiveSign() and @ref KLocale::negativeSign()
   are respected.

   @short A locale-aware @ref QDoubleValidator
   @author Marc Mutz <mutz@kde.org>
   @version $Id: $
   @see KIntValidator
**/

class KDoubleValidator : public QDoubleValidator {
  Q_OBJECT
public:
  KDoubleValidator( QObject * parent, const char * name=0 );
  KDoubleValidator( double bottom, double top, int decimals,
		    QObject * parent, const char * name=0 );

  virtual QValidator::State validate( QString & input, int & pos ) const;

  /** @return whether localized numbers are accepted (default: true) */
  bool acceptLocalizedNumbers() const;
  /** Sets whether to accept localized numbers (default: true) */
  void setAcceptLocalizedNumbers( bool accept );

private:
  typedef QDoubleValidator base;
  class Private;
  Private * d;
};


#endif // __KDE_KDOUBLEVALIDATOR_H__
